GET v1/debitmemos/{debitMemoId}/items
Operation ID: GET_DebitMemoItems
Auth: unknown
Description
**Note:** This operation is only available if you have [Invoice Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement) enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. Retrieves the information about all items of a debit memo. A debit memo item is a single line item in a debit memo. ### Filtering You can use query parameters to restrict the data returned in the response. Each query parameter corresponds to one field in the response body. If the value of a filterable field is string, you can set the corresponding query parameter to `null` when filtering. Then, you can get the response data with this field value being `null`. Examples: - /v1/debitmemos/402890245c7ca371015c7cb40b28001f/items?amount=100 - /v1/debitmemos/402890245c7ca371015c7cb40b28001f/items?amount=100&sort=createdDate
Parameters (19)
(string, header, optional)
An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you do not need to set this header.
(string, header, optional)
A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).
Constraints: {'maxLength': 64}
(number, query, optional)
This parameter filters the response based on the `amount` field.
(number, query, optional)
This parameter filters the response based on the `beAppliedAmount` field.
(string, query, optional)
This parameter filters the response based on the `createdById` field.
(string, query, optional)
This parameter filters the response based on the `createdDate` field.
(string, path, required)
The unique ID of a debit memo. For example, 8a8082e65b27f6c3015ba419f3c2644e.
(string, query, optional)
This parameter filters the response based on the `id` field.
(integer, query, optional, default: 20)
Number of rows returned per page.
Constraints: {'maximum': 40}
(string, query, optional)
This parameter filters the response based on the `serviceEndDate` field.
(string, query, optional)
This parameter filters the response based on the `serviceStartDate` field.
(string, query, optional)
This parameter filters the response based on the `sku` field.
(string, query, optional)
This parameter filters the response based on the `skuName` field.
(string, query, optional)
This parameter restricts the order of the data returned in the response. You can use this parameter to supply a dimension you want to sort on. A sortable field uses the following form: *operator* *field_name* You can use at most two sortable fields in one URL path. Use a comma to separate sortable fields. For example: *operator* *field_name*, *operator* *field_name* *operator* is used to mark the order of sequencing. The operator is optional. If you only specify the sortable field without any operator, the response data is sorted in descending order by this field. - The `-` operator indicates an ascending order. - The `+` operator indicates a descending order. By default, the response data is displayed in descending order by updated date. *field_name* indicates the name of a sortable field. The supported sortable fields of this operation are as below: - id - amount - beAppliedAmount - sku - skuName - serviceStartDate - serviceEndDate - sourceItemId - createdDate - createdById - updatedDate - updatedById - subscriptionId Examples: - /v1/debitmemos/402890245c7ca371015c7cb40b28001f/items?sort=createdDate - /v1/debitmemos/402890245c7ca371015c7cb40b28001f/items?amount=100&sort=createdDate
(string, query, optional)
This parameter filters the response based on the `sourceItemId` field.
(string, query, optional)
This parameter filters the response based on the `subscriptionId` field.
(string, query, optional)
This parameter filters the response based on the `updatedById` field.
(string, query, optional)
This parameter filters the response based on the `updatedDate` field.
(string, header, optional)
The minor version of the Zuora REST API. See [Minor Version](https://www.zuora.com/developer/api-reference/#section/API-Versions/Minor-Version) for information about REST API version control. This header affects the availability of the following response fields: * `items` > `taxItems` * `items` > `taxationItems` * `items` > `comment` * `items` > `description`
No probe data for this endpoint yet.